[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TStringHash.AddReplacesExisting

Should Add replace existing values or not

## Declaration

Source position: inifiles.pp line 74

`public property TStringHash.AddReplacesExisting : Boolean read FAddReplacesExisting write FAddReplacesExisting;`

## Description

AddReplacesExisting indicates whether TStringHash.Add will replace an existing value (True) or will raise an exception when an existing value is added (False).

## See also

TStringHash.Add |  | Add a new value to the hash